Skip to content
Finerlise
Esc
↑↓navigate↵open⌘Jpreview

The Workspace's Forms, most recently updated first

GET/forms
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:forms:read
Query parameters
limitinteger
min 1 · max 100 · default: 50
cursorstring<uuid>

The nextCursor of the previous page.

Responses
200

A page of Forms.

dataForm[]
Show properties
Array of Form
idstring<uuid>
titlestring
statusstring
createdAtstring<date-time>
updatedAtstring<date-time>
nextCursorstring | null
400

Invalid query.

errorstringrequired

Short message; same as message.

codestringrequired
Allowed:invalid_requestunauthorizedinsufficient_scopenot_foundmethod_not_allowedrate_limitedinternal_error
messagestringrequired
hintstringrequired

How to resolve the error.

docsstringrequired

Where the API is described.

401

Missing or invalid token.

errorstringrequired

Short message; same as message.

codestringrequired
Allowed:invalid_requestunauthorizedinsufficient_scopenot_foundmethod_not_allowedrate_limitedinternal_error
messagestringrequired
hintstringrequired

How to resolve the error.

docsstringrequired

Where the API is described.

403

The token lacks the required scope.

errorstringrequired

Short message; same as message.

codestringrequired
Allowed:invalid_requestunauthorizedinsufficient_scopenot_foundmethod_not_allowedrate_limitedinternal_error
messagestringrequired
hintstringrequired

How to resolve the error.

docsstringrequired

Where the API is described.

429

Rate limited; see the Retry-After header.

errorstringrequired

Short message; same as message.

codestringrequired
Allowed:invalid_requestunauthorizedinsufficient_scopenot_foundmethod_not_allowedrate_limitedinternal_error
messagestringrequired
hintstringrequired

How to resolve the error.

docsstringrequired

Where the API is described.

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://finerlise.com/api/v1/forms' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "status": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "nextCursor": "string"
}